WinGate Installation Guide

Welcome and thank you for wanting to install WinGate.

This installation guide has been designed to help you install WinGate correctly, the first time.

We recommend that you read the guide completely so that you are comfortable with the requirements before installing WinGate.

Start here

©2009 Qbik New Zealand Limited

WinGate is a registered Trade Mark of Qbik IP Management Limited. All other trademarks and copyrights are owned by their respective owners.


Installation requirements

System requirements

WinGate has been designed and tested to be as resource efficient as possible. This is a guide to the minimum system requirements for running WinGate server.

The WinGate server can be installed on any computer on your network, so long as it has a direct connection to the Internet, or access to Internet via a suitable gateway.

WinGate will run comfortably on any machine running the following :

  1. 1 GHz CPU (or higher)
  2. 256 Megabytes RAM (or higher)
  3. 500 Megabytes of hard disk drive space (although we recommend as much as possible to allow for logging operation and virtual disk space)

  4. The following Windows Operating Systems:

    • 2000
    • XP (32 or 64 bit)
    • 2003 (32 or 64 bit)
    • Vista (32 or 64 bit)
    • Windows 2008 Server (32 or 64 bit)
  5. An Internet connection.

©2009 Qbik New Zealand Limited


Network scenarios

How is your network configured?

Scenario 1

In Scenario 1 WinGate will be installed on to a machine that has a direct connection (interface) to the Internet. This interface could be a dial up type of connection where the machine connects only to a modem, a DSL type modem, or a network interface that has a Public IP address assigned to it.

This is the most common and recommended type of set up for installing WinGate.

If you wish to install WinGate to this type of scenario then click here

Scenario 2

In Scenario 2 all machines on the local network connect to WinGate server which in turn connects to the Internet router to access the Internet.

The WinGate server will have two network interfaces. One interface connects to the local network, and one interface connects to the Internet router.

If you wish to install WinGate to this type of scenario then click here

Scenario 3

In Scenario 3 all machines on the network are plugged into the Internet router including the WinGate server. Due to the potential of clients being able to by pass the security and control of WinGate in this scenario, care should be taken with this type of set up.

In Scenario 3, the Internet router is directly connected to the Internet but all client network machines will need to be redirected through WinGate to access the Internet.

If you wish to install WinGate to this type of scenario then click here


Scenario 1 : Step 1

Step 1 : Configuring the local network interface

The first step is to configure the local network interface.

The machine on which WinGate server will be installed should have a network interface that connects it to the rest of the LAN. From this interface, WinGate is usually plugged into a hub or switch with all of the other machines on the local network.

  1. Open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface for the LAN.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window.

  5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the rest of the machines your local network. This should be a private IP address such as 10.0.0.1 or 192.168.0.1 (examples only). To read more about IP addresses click here.
  6. Fill in the appropriate Subnet mask.
  7. Leave the Default Gateway setting blank.
  8. Leave the Preferred DNS Server setting blank.
  9. No other configuration is required for this network interface.
  10. Click OK through the open properties screens to save the changes.

Click here for Step 2


Scenario 1 : Step 2

Step 2 : Configure the Internet connection

The next step is to configure the Internet connection.

In this scenario the Internet connection is located on the WinGate server itself.

It will fall into one of two categories either:

  1. Dial on demand

    These types of Internet connections dial up via a phone line to the Internet as required. (Usually triggered by a program when trying to browse the Web or send Email, or triggered manually through a dial up profile). They include Dial up modems, ISDN, DSL modems, some Satellite connections.

    A dialup profile (details for connecting to the ISP) is created for these type connections in the Operating system when the hardware is first installed. WinGate is able to use dial up profiles it finds in Windows, but these will need to be selected inside Gatekeeper once WinGate is installed. (See instructions for configuring dialup connections in the Post installation section)

    These types of connections do not have a IP address until they dial the Internet and are assigned one by an ISP.

    No adjustment to these types of Internet connection is required, however it is important to make sure that the dialup profile can connect successfully to the Internet before installing WinGate.

  2. Online all the time

    These types of Internet connections are considered to be connected to the Internet all the time.

    Usually they are a network interface card that has a public IP address (and other details) assigned to it by the Internet Service Provider providing connectivity. They can include Internet connections such as T1, Fibre, Frame Relay, or DSL interfaces. As such they do not have an associated dial up profile in Windows, but will appear as a Network connection in the networking and dial up connections window in the Windows control panel.

    Since these types of connections have the details provided by the ISP they should not need to be adjusted before the installation of WinGate.

    Since they will have a public IP address, WinGate will classify this interface as a possible Internet connection after the installation without the need for further configuration. (See instructions for checking network connections in the Post installation section for more details)

This is all the steps required before installing WinGate server into this type of scenario. The next step is the installation of the WinGate software itself.

Click here for Step 3, the WinGate installation process


Step 3 : The WinGate installation process

The actual process of installing the WinGate program is straight forward and will follow a series of installation screens described below. While most screens are fairly self explanatory, help on each screen is available through out the installation process by clicking the Help button on the install screen.

License agreement

Once the WinGate installation has been initiated you will be presented with the Software License agreement. You must agree to the terms of license agreement before installing WinGate.

If you choose not to agree to them then you will be asked if you wish to exit the installation.

Type of install

The first option screen of the installation asks what type of installation you wish to perform.

Select an option depending on which type of installation you require. Remember that the WinGate server is only required to be installed on one machine on the LAN it is sharing the Internet connection with.

Unless you have already installed WinGate on the network, you should select the Configure this Computer as the WinGate server option. You will receive a confirmation screen before proceeding.

The rest of the screens in the installation deal with the installation of the WinGate server.

Installation screens

These screens are presented during the installation of the WinGate server.

  1. Install directory
  2. Important
  3. NT Users and Authentication
  4. Email
  5. ENS
  6. Auto Update
  7. Activate WinGate
  8. Begin Installation
  9. Installation Completed

Once the installation of WinGate (Server) is complete you will be asked to reboot the machine.

Once the PC has restarted you are almost ready to begin using WinGate the final step is to run over the checklist in the Post installation section.

Click here to go to Step 4, the Post installation section


Scenario 1 : Post Installation

Step 4 : Post installation

Once the WinGate server has been installed there are several checks that you can make to ensure that WinGate has been set up correctly.

The WinGate Engine

When WinGate is installed it will run as a service called the Qbik WinGate Engine.

Once the WinGate server has been rebooted after the installation process, a small icon representing the engine will appear in the systray on the desktop to show that it has started.

The WinGate Engine is starting.

The WinGate Engine is running.

The WinGate Engine has stopped.

GateKeeper

The WinGate Engine which provides all of the functionality for WinGate to operate can only be configured through the user interface called GateKeeper.

  • Opening GateKeeper

    GateKeeper can be opened in two ways:

    1. Right click on the WinGate Engine icon in the systray and selecting GateKeeper.
    2. Select the GateKeeper from the WinGate programs entry on the start menu in Windows.

  • Logging in to GateKeeper for the first time:

    1. Open GateKeeper.

    2. On the GateKeeper Online Options dialog, make sure Administrator is entered in the Username box.

    3. Leave the password blank and click OK.

    4. You will be warned that no password has been set, and will prompted to change your password.

    5. Click OK to bring up the Password dialog.

    6. Enter your password and click OK.
    7. You should now be logged into GateKeeper as Administrator.

    Note:

    If the Use Operating System(Windows) database option is selected in the installation, then you will not be asked to change your password. In this case logging on with the user Administrator for the first time should be with the relevant NT/Operating System password for Administrator.

Network Connections

Once you have logged into GateKeeper the next thing to check is that WinGate has discovered and classified your network connections correctly.

  • Local Network interface/Internet connection
    1. In GateKeeper, select the Network tab.
    2. At the bottom is the Network tab is the network connections pane. All network interfaces that WinGate has discovered will be listed here with their appropriate details.
    3. Double click on the network interface that connects the WinGate server to the local network. Under the Usage heading it should be set to Internal.
    4. Do the same with the interface that is the Internet connection. Under the Usage heading this should be set to External.

  • Dialup Profiles

    1. In GateKeeper,select the Network tab.
    2. If the Internet connection is a dialer profile (ie. modem or dialup connection), double click on this entry in the Network connections pane at the bottom to configure the connection user details.
    3. Once the interface configuration opens select the Auto Dial tab.
    4. Ensure the Enable this connection to be used by WinGate check box is ticked.
    5. Enter the username and password details to be used when the profile dials up the Internet.
    6. Click OK to save the changes.

Test client connectivity

Once you have logged into GateKeeper and checked that the network connections are set correctly, the final thing to do is to check that clients have access to the Internet.

By default everyone is given access to the Internet (or the appropriate services in WinGate) until restricted by policies. User access can be seen on the Activity tab in WinGate, which is the place to look to verify that client connections are happening correctly.

For more information on Policies and client activity please refer now to the main WinGate helpfile.

Click here to configure your network clients to use WinGate


Scenario 2 : Step 1

Step 1 : Configure the local network interface

The first step is to is to configure the local network interface on the WinGate server. This will be the network interface on the WinGate server that connects it to the rest of the LAN. From this interface, WinGate is usually plugged into a hub or switch with all of the other machines on the local network.

  1. Open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface for the LAN.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the rest of the machines your local network. This should be a private IP address such as 10.0.0.1 or 192.168.0.1 (examples only). To read more about IP addresses click here.
  6. Fill in the appropriate Subnet mask.
  7. Leave the Default Gateway setting blank.
  8. Leave the Preferred DNS Server setting blank.
  9. No other configuration is required for this network interface.
  10. Click OK through the open properties screens to save the changes.

Click here for Step 2


Scenario 2 : Step 2

Step 2 : Configure the Internet router interface

The next step is to configure the network interface on the WinGate server that will connect it to the Internet router.

Internet router basics

Although they don't have physical network cards, Internet connection routers such as DSL/Broadband routers usually will have two network interfaces (each with its own IP address) so they can offer Internet connectivity using Network Address Translation (NAT).

  1. LAN interface

    This is software network interface inside the router that will have a static private IP address. This LAN interface is used to communicate to machines that are plugged into the router. If the router has a DHCP service, then it will usually offer addresses from the same range to machines that plug into the router. (As shown in Example 1)

  2. Internet interface

    The other interface connects the router to the Internet. This interface is given a public IP address that it will receive from the ISP providing the Internet service. (As shown in Example 1) Usually this Internet interface will be protected by a firewall.

    Example 1.

Since WinGate will be the only machine connected to the Internet router it will be the only machine that will be communicating with the Internet routers LAN interface.

Most Internet routers come with a DHCP service that is designed to assign to computers that are connected to it, a private IP address in the same range that is used by its LAN interface.

The WinGate server will be the only machine to receive network details from the routers DHCP service, as it should be the only machine plugged into the Router.

These details will be assigned to the network interface on the WinGate server that connects the WinGate machine to the Internet router.

Configuring the network interface to receive DHCP address from the Internet router:

  1. Open the network connection properties on the WinGate server by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface which connects to the Internet router.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Obtain IP address automatically. This will allow the Internet router to assign this interface with an IP address and the correct Gateway and DNS details so that it can use the Internet router to reach the Internet.
  6. No other configuration is required for this network interface.
  7. Click OK through the open properties screens to save the changes.

Note:

If you don't wish to use DHCP from the Internet router then you can configure the IP address details manually

To configure the IP address details manually:

  1. Open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface connected to the Internet router.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the Internet router.
  6. Fill in the appropriate Subnet mask. This will be the same as is used by the Internet router's LAN IP address.
  7. Select the Default Gateway and enter the LAN IP address of the Internet router.
  8. Select the Preferred DNS server option and enter the LAN IP address of the Internet router.
  9. No other configuration is required for this network interface.
  10. Click OK through the open properties screens to save the changes.

Once this network interface has been configured correctly you should make sure that you can access the Internet from the WinGate server through the Internet router before installing WinGate.

Important Note:

After the WinGate installation, it is necessary for you to specify in the Network Connection configuration in WinGate, that this network interface will be marked as External. (Please refer to the configuring network connections in the Post installation section for details of this)

This is all the steps required before installing WinGate server into this type of scenario. The next step is the installation of the WinGate software itself.

Click here for Step 3, the WinGate installation process


Step 3 : The WinGate installation process

The actual process of installing the WinGate program is straight forward and will follow a series of installation screens described below. While most screens are fairly self explanatory, help on each screen is available through out the installation process by clicking the Help button on the install screen.

License agreement

Once the WinGate installation has been initiated you will be presented with the Software License agreement. You must agree to the terms of license agreement before installing WinGate.

If you choose not to agree to them then you will be asked if you wish to exit the installation.

Type of install

The first option screen of the installation asks what type of installation you wish to perform.

You can select either of these options depending on which type of installation you require. Remember that the WinGate server is only required to be installed on one machine on the LAN it is sharing the Internet connection with.

Unless you have already installed WinGate on the network, you should select the Configure this Computer as the WinGate server option. You will receive a confirmation screen before proceeding.

The rest of the screens in the installation deal with the installation of the WinGate server.

Installation screens

These screens are presented during the installation of the WinGate server.

  1. Install directory
  2. Important
  3. NT Users and Authentication
  4. Email
  5. ENS
  6. Auto Update
  7. Activate WinGate
  8. Begin Installation
  9. Installation Completed

Once the installation of WinGate (Server) is complete you will be asked to reboot the machine.

Once the PC has restarted you are almost ready to begin using WinGate the final step is to run over the checklist in the Post installation section

Click here to go to Step 4, the Post installation section


Scenario 2 : Post Installation

Step 4 : Post installation

Once the WinGate server has been installed there are several checks that you can make to ensure that WinGate has been set up correctly.

The WinGate Engine

When WinGate is installed it will run as a service called the Qbik WinGate Engine.

Once the WinGate server has been rebooted after the installation process, a small icon representing the engine will appear in the systray on the desktop to show that it has started.

The WinGate Engine is starting.

The WinGate Engine is running.

The WinGate Engine has stopped.

GateKeeper

The WinGate Engine which provides all of the functionality for WinGate to operate can only be configured through the user interface called GateKeeper.

  • Opening GateKeeper

    GateKeeper can be opened in two ways:

    1. Right click on the WinGate Engine icon in the systray and selecting GateKeeper.
    2. Select the GateKeeper from the WinGate programs entry on the start menu in Windows.

  • Logging in to GateKeeper for the first time

    1. Open GateKeeper.

    2. On the GateKeeper Online Options dialog, make sure Administrator is entered in the Username box.

    3. Leave the password blank and click OK.

    4. You will be warned that no password has been set, and will prompted to change your password.

    5. Click OK to bring up the Password dialog.

    6. Enter your password and click OK.
    7. You should now be logged into GateKeeper as Administrator.

    Note:

    If the Use Operating System(Windows) database option is selected in the installation, then you will not be asked to change your password. In this case logging on with the user Administrator for the first time should be with the relevant NT/Operating System password for Administrator.

Network connections

Once you have logged into GateKeeper the next thing to check is that WinGate has discovered and classified your network connections correctly:

  1. Select the Network tab on the right hand side of GateKeeper.
  2. At the bottom is the Network connections pane. All network interfaces that WinGate has discovered will be listed here with their appropriate details.
  3. Double click on the network interface that connects the WinGate server to the local network.
  4. On the connection dialog that opens select the General tab.
  5. Make sure that this interface is set to either Auto or Internal (trusted private network).

Internet Router interface

  1. In the Network connections pane, double click on the interface that connects the WinGate server to the Modem Router.
  2. On the connection dialog that opens, select the General tab
  3. On the General tab select the External (untrusted network) radio button.
  4. Click OK to save changes

This will allow this interface to be treated by WinGate as an external connection that can be used to access the Internet via the Internet router.

Test client connectivity

Once you have logged into GateKeeper and checked that the network connections are set correctly, the final thing to do is to check that clients have access to the Internet.

By default everyone is given access to the Internet (or the appropriate services in WinGate) until restricted by policies. User access can be seen on the Activity tab in WinGate, which is the place to look to verify that client connections are happening correctly.

For more information on Policies and client activity please refer now to the main WinGate helpfile.

Click here to configure your network clients to use WinGate


Scenario 3 : Step 1

Step 1 : Configure the local network interface

Since all the machines in this scenario are plugged into the Internet router, there is a real possibility that the other machines could bypass the WinGate server to access the Internet. To secure this scenario as much as possible so the other workstations can have their Internet access controlled by WinGate, we recommend that the WinGate server and client machines be configured using the following directions.

Internet router basics

Although they don't have physical network cards, Internet connection routers such as DSL/Broadband routers usually will have two network interfaces (each with its own IP address) so they can offer Internet connectivity using Network Address Translation (NAT).

  1. LAN interface

    This software network interface inside the router that will have a static private IP address. This LAN interface is used to communicate to machines that are plugged into the router. (As shown in Example 1)

  2. Internet interface

    The other interface connects the router to the Internet. This interface is given a public IP address that it will receive from the ISP providing the Internet service. (As shown in Example 1) Usually this Internet interface will be protected by a firewall.

    Example 1.

Note:

Most Internet routers come with a DHCP service that is designed to assign a private IP address in the same range as its own LAN interface (IP address) to computers that are connected to it. In this scenario we recommend that the DHCP service on the router be switched OFF. This will allow you to use the DHCP service in WinGate to allocate and control the network address settings of all the other client workstations plugged into the router.

Configuring the WinGate server:

  1. On the WinGate server open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface connected to the router.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.
  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the LAN interface on the Internet router. This should be a private IP address such as 10.0.0.1 or 192.168.0.1 (examples only). To read more about IP addresses click here.
  6. Fill in the appropriate Subnet mask. This will be the same subnet mask used by the LAN interface on the router.
  7. In the Default Gateway setting enter the IP address of LAN interface on the router.
  8. In the Preferred DNS Server setting enter the IP address of the LAN interface on the router.
  9. No other configuration is required for this network interface. Click OK through the open properties screens to save the changes.

Setting the network interface to use these settings will allow the WinGate server to communicate and access the Internet through the router. Based on these details set on this network interface, the WinGate DHCP service will now be able to allocate and control the IP address range used by client workstations also plugged into the router.

Configuring the client workstations:

Note:

Since LAN workstations are also plugged directly into the Internet router in this scenario, we recommend to only plug them into the router after you have installed WinGate (So they don't have access to the Internet prior to the WinGate installation)

In this scenario we also recommend that client IP address details are either configured MANUALLY, or are assigned IP addresses from WinGate's DHCP service so that control of Internet access can be maintained through WinGate. (Remember that the Internet routers DHCP service should be disabled as mentioned above)

  • Manual configuration

    1. On each LAN workstation open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
    2. Double click on the Local Area Connection icon that is the network interface for the LAN.
    3. This will bring up the Local Connection Status dialog, click on the Properties button.
    4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

      Note:

      (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window.)

    5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the LAN interface of the WinGate server. This should be a private IP address such as 10.0.0.1 or 192.168.0.1 (examples only).
    6. Fill in the appropriate Subnet mask. This will be the same subnet mask used by the LAN interface on the WinGate server.
    7. In the Default Gateway setting enter the IP address used by the WinGate server.
    8. In the Preferred DNS Server setting enter the IP address used by the WinGate server.
    9. No other configuration is required for this network interface. Click OK through the open Properties screens to save the changes.

  • Using WinGates DHCP service

    Note:

    This requires WinGate to be installed on the server machine so that WinGate's DHCP service is available to allocate IP addresses. In this scenario ensure that the Internet routers DHCP service is disabled and switched OFF.

    1. Open the network connection properties on each workstation by accessing the Windows control panel and selecting the Network and Dial up connections icon.
    2. Double click on the Local Area Connection icon that is the network interface which connects to the Internet router.
    3. This will bring up the Local Connection Status dialog, click on the Properties button.
    4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

      Note:

      (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window.)

    5. On the TCP/IP properties window select Obtain IP address automatically. This will allow the WinGate server to assign this interface with an IP address and the correct Gateway and DNS details so that it can use the WinGate server to reach the Internet.
    6. No other configuration is required for this network interface. Click OK through the open properties screens to save the changes.

Click here for Step 2


Scenario 3 : Step 2

Step 2 : Configure the Internet router

The next step is to configure the WinGate server to use the router.

In this scenario the WinGate server is the ONLY machine on the network that has Gateway and DNS details on in its local network interface properties set to the IP address of the LAN interface on the Internet router.

This is an important point, because if the local network workstations have their Gateway and DNS details set to the IP address of the LAN interface of the router, then there is nothing preventing them from by passing the WinGate server and accessing the Internet directly.

To help avoid this, it is recommended that DHCP service on the router be switched off or disabled so that it will not issue clients on the network details that could allow them direct access. Hence the WinGate server and client workstation network details should be configured as described in Step 2.

Router configuration

For maximum control of the client workstations plugged into the router in this scenario we recommend that the Internet router is set to only accept Internet requests from the WinGate server machine. This can be done by creating an access policy in the configuration of the router so it will only accept Internet requests from one particular MAC address (In this particular case the MAC address of the network card on the WinGate server).

Most router configurations will have a setting for restricting access this way, so please check the documentation for your particular router. If your particular router does not have this type of security, then you must be extremely careful managing client workstation access in this scenario for the reasons outlined above.

If you have followed the directions for configuring the WinGate server's local interface in Step 2, and restricted access on the router, then there is only should be no other configuration required for WinGate to function through the Internet router.

Once this has been done then you should be able to proceed to the actual WinGate Installation.

Click here for Step 3, the WinGate installation process


Scenario 3 : Post Installation

Step 4 : Post installation

Once the WinGate server has been installed there are several checks that you can make to ensure that WinGate has been set up correctly:

The WinGate Engine

When WinGate is installed it will run as a service called the Qbik WinGate Engine.

Once the WinGate server has been rebooted after the installation process, a small icon representing the engine will appear in the systray on the desktop to show that it has started.

The WinGate Engine is starting.

The WinGate Engine is running.

The WinGate Engine has stopped.

GateKeeper

The WinGate Engine which provides all of the functionality for WinGate to operate can only be configured through the user interface called GateKeeper.

  • Opening GateKeeper

    GateKeeper can be opened in two ways:

    1. Right click on the WinGate Engine icon in the systray and selecting GateKeeper.
    2. Select the GateKeeper from the WinGate programs entry on the start menu in Windows.

  • Logging in to GateKeeper for the first time:

    1. Open GateKeeper.

    2. On the GateKeeper Online Options dialog, make sure Administrator is entered in the Username box.

    3. Leave the password blank and click OK.

    4. You will be warned that no password has been set, and will prompted to change your password.

    5. Click OK to bring up the Password dialog.

    6. Enter your password and click OK.
    7. You should now be logged into GateKeeper as Administrator.

    Note:

    If the Use Operating System(Windows) database option is selected in the installation, then you will not be asked to change your password. In this case logging on with the user Administrator for the first time should be with the relevant NT/Operating System password for Administrator.

Network Connections

Once you have logged into GateKeeper the next thing to check is that WinGate has discovered and classified your network connections correctly.

  1. Select the Network tab on the right hand side of GateKeeper.
  2. At the bottom is the Network connections pane. All network interfaces that WinGate has discovered will be listed here with their appropriate details.
  3. Double click on the network interface that connects the WinGate server to the local network.
  4. On the connection dialog that opens select the General tab
  5. Make sure that this interface is set to Internal (trusted private network).

Note : Single network interface NAT (Network Address Translation)

WinGate now supports NAT (Network Address Translation) in situations where there is only one network card in the WinGate server machine. (Such as in this scenario). In this case WinGate will attempt to deliver all traffic out through the Gateway IP address set on this interface.

In this scenario it is not necessary for the adapter to be marked as external in the Network connections options in WinGate. For the purposes of serving client requests the Usage for this interface in this instance should be marked as Internal as instructed above.

Test Client connectivity

Once you have logged into GateKeeper and checked that the network connections are set correctly, the final thing to do is to check that clients have access to the Internet.

By default everyone is given access to the Internet (or the appropriate services in WinGate) until restricted by policies. User access can be seen on the Activity tab in WinGate, which is the place to look to verify that client connections are happening correctly.

For more information on Policies and client activity please refer now to the main WinGate helpfile.

Click here to configure your network clients to use WinGate


WinGate installation

The WinGate installation process

The actual process of installing the WinGate program is straight forward and will follow a series of installation screens described below. While most screens are fairly self explanatory, help on each screen is available through out the installation process by clicking the Help button on the install screen.

License agreement

Once the WinGate installation has been initiated you will be presented with the Software License agreement. You must agree to the terms of license agreement before installing WinGate.

If you choose not to agree to them then you will be asked if you wish to exit the installation.

Type of install

The first option screen of the installation asks what type of installation you wish to perform.

You can select either of these options depending on which type of installation you require. Remember that the WinGate server is only required to be installed on one machine on the LAN it is sharing the Internet connection with.

Unless you have already installed WinGate on the network, you should select the Configure this Computer as the WinGate server option. You will receive a confirmation screen before proceeding.

The rest of the screens in the installation deal with the installation of the WinGate server.

Installation screens

These screens are presented during the installation of the WinGate server.

  1. Install directory
  2. Important
  3. NT Users and Authentication
  4. Email
  5. ENS
  6. Auto Update
  7. Activate WinGate
  8. Begin Installation
  9. Install Completed

Upgrading Install Screens

When upgrading a previous installation of WinGate, or upgrading over the top of WinGate VPN you will be presented with the Backup replaced files screen.

Backup Replaced Files

This installation program can create backup copies of all files replaced during the installation. These files will be used when the software is uninstalled and a rollback is requested. If backup copies are not created, you will only be able to uninstall WinGate and not roll the system back to a previous state. This is the recommended option.

WinGate VPN Software upgrade notes

If you have installed WinGate over the WinGate VPN software and may want to revert back to the original WinGate VPN installation, there are certain steps you will need to take to prevent your VPN configuration from being lost.

  1. Backup the WinGate VPN Configuration

    You will need to backup your existing WinGate VPN configuration at the point where you upgrade to WinGate. The WinGate Installer will backup your settings automatically to a file called WinGateVPN.reg. This file will be saved in your installation directory.

    You can do this by:

    1. Launching WinGate VPN Configuration.
    2. From the Options menu, select Advanced.
    3. Under Advanced options, click Save Registry Settings.

    This will save your current configuration in the selected location.

  2. Restore the WinGate VPN Configuration

    Once you've uninstalled WinGate and wish to revert back to the WinGate VPN you should follow the next steps:

    1. Install the WinGate VPN
    2. Import the saved configuration:
    3. If you chose to make a manual backup: Import the registry file you saved, overwriting the existing values in the registry.
    4. If you are using the automatic backup: Import "WinGateVPN.reg", overwriting the existing values in the registry.

    This restores the configuration you had at the time you upgraded to WinGate.


Setting up clients : Step 1

Step 1 : Setting up TCP/IP for clients

WinGate will only run over a TCP/IP based network. As such TCP/IP is required to be installed on each client machine.

TCP/IP is installed by default on Windows 2000 and above, and is usually required to be installed when ever a network interface or modem is installed to the computer.

If TCP/IP has been done already then you should test that the client machines can communicate with the WinGate server.

Click here to learn how to test TCP/IP connectivity.

Note:

The rest of Step 1 gives broad instructions for installing TCP/IP to Windows based computer. (For more information please refer to the Help of the particular Operating System.)

If TCP/IP has been installed and tested to work correctly on your client machines then you may proceed to Step 2.

Installing TCP/IP :

  • In Windows 98/ME

    1. Press the Start button
    2. Select Settings /Control Panel
    3. Double-click the Network icon
    4. To install TCP/IP, click the Add... button
    5. Double-click Protocol, then select Microsoft

    6. Select TCP/IP and click OK.

      (** You will be asked to restart your computer **)

  • In Windows NT 4

    1. Press the Start button
    2. Select Settings /Control Panel
    3. Double-click the Network icon
    4. To install TCP/IP, choose protocol
    5. Click Add

    6. Select TCP/IP Protocol and hit OK.

      (** You will be asked to restart your computer **)

  • In Windows 2000

    1. Press the Start button
    2. Select Network and Dialup Connections
    3. Double-click on the Local Area Connection icon
    4. Click on the ‘Install...' button
    5. Select Microsoft, then TCP/IP Protocol

    6. Click OK.

      (** You may be asked to restart your computer **)

Once you have done this, we recommend you test your installation of TCP/IP.

Click here for Step 2


Setting up clients Step 2 : IP addressing

Step 2 : Client IP address details

WinGate provides a DHCP service which can dynamically assign IP address details to the client machines on the network when they request them. This is an easy way of configuring clients to use WinGate to access the Internet. If the WinGate DHCP service is set to fully automatic mode, it will issue client machines with all the required IP address details they need to use WinGate.

(For more information on the WinGate DHCP service please refer to the WinGate helpfile)

If there is already another (non-WinGate) DHCP server or service running on your network and you wish to use this DHCP service instead of the WinGate DHCP service then there are several points to note:

  1. Disable the WinGate DHCP service

    To avoid both DHCP services trying to give out IP addresses, you should disable the WinGate DHCP service. (This will not affect the actual operation of WinGate)

    To do this:

    1. Open GateKeeper on the WinGate server.
    2. Log in as Administrator.
    3. Select the DHCP service from the System tab.
    4. Select the General configuration and under the startup options set service to Disabled.
    5. Click OK to apply, and save changes.

  2. Gateway address

    The WinGate connection method NAT (Network Address Translation) requires the Default Gateway setting on client machines to be set to the IP address used by the WinGate server's local network interface. This can be issued by another DHCP server by specifying the WinGate IP address in the DHCP options for the DHCP server (commonly called the Gateway or Router option).

  3. Preferred DNS server

    The Preferred DNS server setting on client machines will have to be assigned the IP address of a DNS server on the LAN that they can use to resolve host names to IP addresses.

    This could be a third party DNS server running on the LAN ( e.g. An Active Directory ). Or it can be the IP address of the WinGate servers LAN interface, since WinGate can provide full DNS resolution for clients. This address can also be issued by another DHCP server by specifying the WinGate server IP address in the DHCP options for the DHCP server (often called the DNS server option).

In either case, to have clients use DHCP:

  1. Open the network connection properties on the WinGate server by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface which connects to the network.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Obtain IP address automatically. This will allow the DHCP server to assign this interface with IP address details.
  6. No other configuration is required for this network interface.
  7. Click OK through the open properties screens to save the changes.

If you dont wish to use DHCP then you can configure the clients IP address details manually:

  1. Open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface connected to network.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the WinGate server.
  6. Fill in the appropriate Subnet mask. This will be the same as is used by the WinGate server's LAN IP Address.
  7. Select the Default Gateway and enter the LAN IP address of the WinGate server. (Required if you are going to use the NAT client connection method.)
  8. Select the Preferred DNS server option and enter the LAN IP Address of the WinGate server or a third party DNS server on the LAN.
  9. No other configuration is required for this network interface.
  10. Click OK through the open properties screens to save the changes.

Once this network interface has been configured correctly you should now go to step 3 to choose the type of connection method that clients will use to connect to the Internet through WinGate.

Click here for Step 3


Setting up clients : Step 3

Step 3 : Choosing how clients connect to WinGate

After TCP/IP is installed on the client machines, and IP addressing has been configured, the next step is to choose what connection method your clients will use to access the Internet.

WinGate offers the choice of three different methods that clients on the LAN can use when connecting through WinGate:

  1. Network Address Translation
  2. WinGate Internet Client
  3. Proxy Method

Once you have decided on what method the clients will use the next step is to configure the client to use the appropriate method.

Click to configure the connection method your clients will use:

  1. Network Address Translation
  2. The WinGate Internet Client
  3. Proxy method

Once you have chosen and configured your client connection methods, and tested their Internet connectivity through WinGate, you have successfully completed the WinGate installation.


Testing TCP/IP

Ping is a popular utility that is installed as part of the TCP/IP protocol suite. It is used as a quick and easy method of finding out whether or not another computer is online and responding.

When you "ping" another computer’s IP address (or by domain name), you are effectively sending out the message "Are you there?" (this consists of four ICMP packets).

If the computer is online and able to respond, it will then send a reply consisting of the same four ICMP packets.

If you try and use the ping command and it fails, you can use Event Viewer to check the event log and look for problems reported by Setup or the Internet Protocol (TCP/IP) service.

Testing TCP/IP on the Local Computer

You can test whether the TCP/IP installed on a computer is working properly by ‘pinging’ the loopback address on your computer.

You do this by opening a command prompt on the machine and typing: ping 127.0.0.1

If ping fails, verify that the computer has TCP/IP was installed and configured correctly.

Ping across the network

Begin by attempting to ping the WinGate server

At the command line type (replacing 192.168.0.1 with the IP of your WinGate server): ping 192.168.0.1

The response should be similar to:

Pinging [192.168.0.1] with 32 bytes of data

Reply from 192.168.0.1: bytes=32 time < =10ms TTL=32

Reply from 192.168.0.1: bytes=32 time < =10ms TTL=32

Reply from 192.168.0.1: bytes=32 time < =10ms TTL=32

Reply from 192.168.0.1: bytes=32 time < =10ms TTL=32

This is a confirmation that TCP/IP is working properly between client machine and the WinGate server. This result should be the same from any computer on the network. If this is the case, you can then move on to configuring TCP/IP settings for either the WinGate server or the client computer.

Note:

If you get:

Destination host unreachable

or:

Bad IP

then you need to check your TCP/IP settings as outlined previously.

Pinging a computer on the Internet

Note:

You will only be able to ping a computer on the Internet when you either:

  1. Know the IP address of the remote server, and have access to the Internet via a gateway on the local network.
  2. Have a DNS server able to resolve the DNS name of the remote computer to an IP address, and you have access to the Internet via a gateway on the network.

Since the WinGate server has the Internet connection it can act as the Gateway out of the network and provide DNS resolution if required. As such you can set the Gateway and DNS entries in the network properties of the client computer to the LAN IP address of the WinGate server for this test.

At the command line type (or any other reliable web site):

ping www.cnn.com

Running this test on any computer on the network except the WinGate server should produce this response:

Pinging cnn.com [207.25.71.29] with 32 bytes of data

Reply from 207.25.71.29: bytes=32 time < =10ms TTL=32

Reply from 207.25.71.29: bytes=32 time < =10ms TTL=32

Reply from 207.25.71.29: bytes=32 time < =10ms TTL=32

Reply from 207.25.71.29: bytes=32 time < =10ms TTL=32

This means that WinGate DNS is working properly. The DNS has looked-up the name, and returned the corresponding IP address for that name. It also indicates that you can reach the Internet since you received a reply from CNN.com.

Alternatively you can also ping the IP address of CNN.com to receive a similar response.


Transparent redirection

Transparent redirection (also called Intercepts) allows any client connection made through WinGate, to be intercepted and handled by a particular proxy service in GateKeeper, regardless of whether clients are connecting through WinGate with WGIC, NAT or Application proxy client connection methods.

WinGate is able to determine what requests should be routed to which proxy services by the destination port used in each Internet request from a WinGate client computer. The particular proxy will be set to intercept any communication to WinGate on this port.

Before Transparent redirection was available, the only way to utilize the proxy services in WinGate was to configure proxy settings in the applicable Internet applications on each WinGate client computer (Application proxy connection method).

Administrators simply enable the Transparent proxy option in the particular proxy service in WinGate to intercept the incoming request from clients on the particular service port (e.g. port 80 for WWW). Now any request to WinGate made on port 80 will be directed through the WWW proxy service and so be influenced by any policies, settings, or data scanning plug-ins that have been configured for the WWW proxy service.

Transparent redirection is currently available in the Sessions configuration for the following WinGate Proxy Servers:

  • FTP
  • Logfile Server
  • RTSP
  • Telnet
  • WWW
  • POP3
  • SMTP
  • TCP mapped links

Key benefits:

  • Utilize PureSight for WinGate

    PureSight for WinGate is an effective content filtering plug-in that utilizes ban lists and a Internet filter technology based on AI (Artificial Intelligence), which previews the content of a web site, determines if it is inappropriate, and blocks the site if necessary. The PureSight for WinGate content filtering solution works in conjunction with the WWW proxy server in GateKeeper; therefore, if client computers are connecting via WGIC or NAT, it is essential that Transparent Redirection be enabled in the WWW proxy server.

  • Utilize Kaspersky AntiVirus for WinGate

    Due to the steady increase of security threats, protecting against malicious viruses requires a solution that controls all possible virus entry points. Kaspersky AntiVirus for WinGate from AntiVirus industry leader Kaspersky Labs is that solution. The AntiVirus plug-in runs on the proxy level; therefore, if client computers are connecting via WGIC or NAT, it is essential that Transparent Redirection be enabled.

  • Simplify administration of policies

    When transparent redirection is enabled in the WWW service, administrators can now require authentication for ALL clients trying to access web pages, since all client HTTP traffic will now be forced through the WWW proxy regardless of what WinGate client connection method is being used. Consequently, web restriction policies for all WinGate users and groups can be created and enforced from the centralized location of the WWW proxy server.

Click here to return to the Step by Step Installation guide.


Client connection methods : Network Address Translation (NAT)

NAT is the easiest of the client connection methods to configure and use.

Network Address Translation happens when clients send their Internet requests to the WinGate server. The WinGate server keeps track of which client is making the request. The WinGate server then makes the request on behalf of the client out to the location on the Internet using its public IP address (appearing to the outside world as though it is the computer that originated the request.)

When the Web or remote server sends back the information to the public IP address of the WinGate server, the WinGate server translates the address back to the private address of the relevant client on the LAN, and redirects the incoming data back to that client who originally requested the information.

Pros

  • NAT provides fast and seamless low-level sharing of a connection to the Internet. It is the simplest approach to sharing an Internet connection as all clients Internet requests (regardless of the type of program or activity) are sent to the WinGate server for it to handle on behalf of the client. With little overhead, it is very reliable.
  • It is also extremely flexible as it gives access to a shared Internet connection for any platform that supports TCP/IP (e.g. Windows, Mac, UNIX, Linux) unlike the WinGate Internet Client (WGIC) that can only be installed on a Windows based machine. This makes it ideal when you have non-Windows operating systems on the network that need to use WinGate to access the Internet.
  • Since all Internet requests will be sent to the WinGate (gateway) machine, virtually any TCP/IP based client application (web browsers, mail programs, newsgroups, FTP etc.) should be able to use it without having to configure that application itself.
  • There is no software to install and no applications to configure.
  • With Transparent redirection there is easy integration with the power of WinGate proxy services.

Cons

  • Because NAT is implemented as a low-level driver, there may occasionally be some compatibility problems with some hardware.
  • Due to its light weight nature, NAT alone does not allow the access or policy control available when clients are using WGIC or running applications directly through WinGate proxies. However this can now be alleviated by the use of Transparent redirection.

Conclusion

For many NAT is an excellent choice. It's particularly well suited to LANs that contain a mix of Windows platform and non Windows machines. It is also ideal in situations where you don't want to have to install client software or configure individual applications on many different machines.

Click here to return to Step 3


Client connection methods : WinGate Internet Client (WGIC)

The WinGate Internet Client is small application that can be installed to client machines in order to communicate with the WinGate server.

With the WGIC is installed, all network /Internet requests from WinSock based applications (most Windows programs) on the client computer will be intercepted and serviced by the Winsock Redirector Service on the WinGate server. This allows administrators to have strong control over what applications clients use to access the Internet, and how they will access the Internet.

Pros

  • Provides tight control over users Internet usage and allows the efficient running of server applications.
  • Provides an elegant way for users to authenticate for Internet usage. It can be configured so the user has to enter username and password the first time they access the Internet making it ideal for tracking and auditing purposes.
  • Allows policy control from just one place on the WinGate server ( the Winsock Redirector Service, which is the service that intercepts the WGIC requests) rather then configuring policies per WinGate proxy service.
  • When used with a WinGate Enterprise license, WGIC user Internet access and operations can be controlled from a central configuration menu in Gatekeeper on the WinGate server.
  • With the WGIC software packaged in an MSI installer, system administrators in an Active directory can set automatic installation to client machines across the domain.

Cons

  • You have to install client software.
  • Can only be installed to Windows based machines, and used by Winsock based programs.

Conclusion

If you have a small to medium sized LAN of Windows clients or a domain scenario, where control of user Internet applications is required, we recommend using the WGIC.

Click here to return to Step 3


Client connection methods : Proxy

The Proxy connection is one of the most direct client connection methods used by WinGate.

Rather then configuring the client machine to use WinGate for all Internet access, each application on the client machine such as web browser, mail program, chat program etc must be configured individually to connect to through WinGate (proxy server) to the Internet.

Most TCP/IP based programs will have an option to use a Proxy server. This is where access through WinGate will need to be configured.

WinGate's specific proxy services (such as HTTP,FTP,Telnet) etc have been specifically designed to handle these types of connections and as such handle the entire connection between the client application and the remote server/site on the Internet.

The WinGate Internet Client and NAT connection methods have decreased the importance of application proxies.

You may still choose to use proxies to exert per-service control over policies, however with the advent of transparent redirection means that there is nothing you can do with proxies that you now cannot do with the other two client connection methods.

Pros

  • Since the client application request is handled by the specific WinGate proxy service, it allows you the greatest control over data passing through your network as you can set policies and restrictions etc in the relevant proxy service used in WinGate. Although, with transparent direction, these benefits are now available through NAT and WGIC.

Cons

  • Works only for existing protocols that each Proxy service in WinGate is designed for.
  • If a new protocol is devised and used by a client application, you wont be able to set the application to use WinGate as a proxy server, since there will be no proxy service available in WinGate for it.

Click here to return to Step 3


Configuring clients to use NAT

Configuring clients to use (Network Address Translation) NAT

To configure your client machines to use the NAT method:

  1. Open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface for the LAN.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.
  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select the Default Gateway setting and enter the private IP address used by the WinGate server.
  6. In the Preferred DNS Server setting enter the private IP address used by the WinGate server.
  7. No other configuration is required for this network interface.
  8. Click OK through the open properties screens to save the changes.

If you have chosen to run the WinGate DHCP service then you can configure WinGate to issue clients with their IP address details:

  1. Open Gatekeeper
  2. Select the DHCP Service on the System tab of the Gatekeeper control panel.
  3. Open the DHCP Modes screen and make sure this is set to Fully Automatic mode.

  4. Click OK to apply the changes.

This will assign an IP address to the client machine. In fully automatic mode, it will also assign the IP address used by the WinGate server as the Gateway and DNS setting on the client machine, allowing clients to access the Internet via NAT through the WinGate server.

Click here to return to the Step 3


Configuring clients to use the WinGate Internet Client (WGIC)

Before installing WinGate Internet Client, you should set up the WinGate server and make sure that the Winsock Redirection Service is enabled and running on the WinGate server before you begin installing the WGIC.

You should also check that the machines that WGIC is to be installed on meet the minimum requirements.

The requirements for installing the WGIC are as follows:

  • Running Windows 95, 98, NT4, 2000 or XP
  • The computer is NOT running the WinGate server

The WGIC installer

Once your computer satisfies these basic requirements, you can install the WGIC:

  1. Run the installer program on your client computer. Either:

    1. WinGate.exe (This is the same installer you used for the WinGate server)

    2. WGIC.msi (Client installer found in the WinGate\Client directory on the WinGate server machine)
  2. The installer should detect the WinGate server on the network and default to the client install. If it does not you can select to install the WinGate Internet Client manually.

The WinGate Internet Client Installer doesn't require any settings during the installation process and so installs without little user intervention. Once the installation is complete there should be no requirement to restart the client machine.

Like the WinGate engine, the WinGate Internet Client runs as a Windows Service. This means that it will always run in the background, whether you are logged in or not. You can run the WGIC applet for further configuration from the WGIC icon in the Windows Control Panel.

Configuring applications to use the WGIC

Once the installer has finished, your applications will connect to the Internet with no further configuration (the Winsock Redirection Service must be running on the WinGate server). The WGIC will seamlessly provide all outgoing and incoming access to and from the Internet.

If you were using proxies before you installed the WGIC then you should remove any old proxy settings because your applications should be configured to connect directly to the Internet (rather than through proxies).

If you do not remove these settings, your applications will still work but they will be using the WinGate proxies, not the WGIC.

Click here to return to Step 3


Configuring clients to use proxies

To use the Proxy method for clients to connect, configure the particular application on the client machine to point at the IP address (and appropriate Port) of the WinGate server. You will need to check with specific application documentation on how this is done for your particular program.

There is no other configuration required for the client workstation.

Note:

Whenever an application is configured to use the Proxy method, that application (program) will be directed through the appropriate proxy service in WinGate. The application will not use any other connection method (NAT or WGIC) even if they are installed and working on the the same machine.

Since the introduction of using NAT and Transparent redirection abilities in WinGate, there are now very few occasions where you should need to use a proxy directly.

Click here to return to Step 3


WinGate in a small LAN or workgroup

Setting WinGate up on a small LAN with a simple work group/peer to peer structure is a relatively easy process. Since workgroup environments do not have strict security on network operations there is very little configuration required to implement WinGate successfully.

These set up procedures are suited for home networks, small office and non-domain type environments.

  • Network set up

    WinGate will only operate in a functioning TCP/IP based network. WinGate is only required to be installed on one machine, which will be designated as the WinGate server, and this will be the machine that has the Internet connection or is the gateway to the Internet. This must be a Windows based machine as WinGate can only be installed to a Windows operating system.

  • Network addressing

    Computers in TCP/IP networks/workgroups usually use private IP addresses (such as 10.0.0.*, 172.16.0.* or 192.168.1.*) in the same range to communicate.

    Since WinGate clients need to direct their requests through WinGate, their LAN interfaces should be configured to use WinGate. The Gateway and DNS settings on the Local network interface of each client machine should be set to the private IP address being used by the WinGate server's LAN interface. (This of course is dependent on the type of connection method the clients are using.)

  • DHCP

    WinGate can create IP address scopes with its DHCP service acting as a DHCP server allocating IP address details to clients if required. The WinGate DHCP service will determine the address scope(range of IP's that it can issue) based around the static details on its LAN interface, or scopes can be configured manually. This allows for the ease of maintenance, and allows WinGate to issue clients with the other IP details required to connect to the Internet, such as Gateway and DNS details.

  • WinGate Server

    1. Ensure the WinGate server meets the minimum system requirements for installing WinGate.
    2. Install WinGate on the machine with the functioning Internet connection.
    3. Ensure the LAN interface is configured with static private IP in the same range as the rest of the network (no Gateway or DNS entries are required on this interface).
    4. After installation configure the DHCP service to issue IP addresses if required.
    5. Check to see in GateKeeper that WinGate has identified and determined the status of its network connections, (i.e. its sees the LAN interface as internal and the Internet connection as external ).

  • LAN Clients

    1. Ensure the client have IP address details on their network interface that is in the same range used by the WinGate machine.

    2. If the LAN clients are accessing the Internet through WinGate, make sure that the clients Gateway and DNS network entries are set to the IP address of the WinGate server (depending on the method they are using to connect).

      (As mentioned previously the clients entire IP configuration can be received via the WinGate DHCP service if required.)

  • Security

    In a typical home/office/workgroup environment each computer is responsible for its own security settings to protect its resources.

    To control users accessing WinGate in this type of scenario, WinGate provides its own user database to implement policies and control users access to the Internet. Once installed WinGate access policies and required authentication of users can be configured to provide good control over user activities.

This is all that should be required to set up WinGate to function in a small LAN environment.


WinGate in an Active Directory

WinGate has been designed to work well within an Active Directory domain, however there are some considerations that Administrators should be aware of to make WinGate function correctly within this type of environment.

Active Directory overview

When implementing WinGate in a native mode Active Directory environment there are some features of the Active Directory, which will affect the way that WinGate needs to be configured.

Active Directory requires a DNS server be available to register client IP address details and resolve DNS lookups for client machines in the AD. DNS servers are also required by clients to find info about Domain Controllers in the AD. When a domain controller is set up correctly it registers specific AD info (through SRV records) with the Active Directory DNS server.

To provide Internet address resolution for clients in the Active Directory, the Active Directory DNS server properties has a Forwarders tab, which can be set to a specify an Internet DNS server that it will refer to for DNS requests that are outside of the domain that it is responsible for if it is unable to resolve the Internet DNS lookup for the client.

Client workstations will use the AD DNS server for the Domain requests for their Active Directory, and any Internet requests will be forwarded to the Internet DNS server specified in the Forwarders configuration if the Active Directory DNS server is unable to resolve the request itself (Common if the Active Directory DNS server is not connected directly to the Internet).

Active Directory and WinGate

  • Using WinGate for client Internet DNS Lookups

    As mentioned above, if the Active Directory DNS server does not have a direct connection to the Internet, or cannot resolve Internet DNS requests for clients then you can set the Active Directory DNS server to forward all client Internet DNS requests to WinGate to resolve:

    To use WinGate for client Internet requests:

    1. When WinGate is being used in the Active Directory, and you wish to have WinGate take care of client Internet DNS requests, then the private IP address used on the internal network interface of the WinGate server should be listed in the Forwarders tab in the properties on the Active Directory DNS server. This is found in the Active Directory DNS server's properties (configured in the DNS.mmc).

      This way all of the clients Internet DNS requests will be forwarded by the Active Directory DNS server to the WinGate server for completion.

    2. The internal IP address of the Active Directory server should be placed in the DNS server option of the WinGate Advanced Options that is found under Start Menu\Programs\WinGate\Advanced options.

      This is required to prevent DNS loops occurring between WinGate and the Active Directory DNS server.

  • Using the Active Directory DNS server for Internet DNS lookups

    Since all client workstations in the Active Directory will have their DNS network setting pointed at the Active Directory DNS server (as an Active Directory requirement) all of their DNS request both local and Internet can be resolved by the Active Directory DNS server. There is no requirement in this situation for the WinGate server IP address to be entered on the Forwarders tab of the Active Directory DNS server properties.

  • WinGate installed on the same machine as the Active Directory DNS server

    If WinGate has been installed to the same machine running the Active Directory DNS Server, then there is no requirement for WinGate DNS. In this situation the DNS service in WinGate should be disabled as the Active directory DNS Server running on the machine will already provide DNS resolution.

  • DHCP Considerations

    In most Active Directory scenarios clients will be receiving IP address details (and other network settings) from a Microsoft DHCP server on the network.

    If WinGate clients are using NAT (Network Address Translation) client connection method through WinGate, then Administrators should make sure that the Router (Gateway) option in the Microsoft DHCP Server configuration, is set to issue clients with the internal IP address of the WinGate server.

    Due to the common use of DHCP in Active directory, the WinGate DHCP service should be disabled so it does not to interfere with the Active Directory DHCP server operations.

  • User Database

    Since a major goal of Active Directory is to have strong control of users and groups, this can be further enhanced when using WinGate Enterprise license, by having WinGate utilize the User Database of the Active directory domain for its control of user access.

    Once WinGate is installed, this can be configured through the Database options found on the Users tab in GateKeeper.

Note:

For comprehensive guide to configuring WinGate in an Active Directory please refer to the main WinGate helpfile.


Common terms

DHCP

DHCP stands for Dynamic Host Control Protocol. It is a protocol used by a DHCP server (or in the case of WinGate, the DHCP service) to issue machines on the network with an IP address when requested. DHCP can also be used to give other IP network details such as DNS and Gateway details to the client machine. DHCP helps to ease the administration and time of having to configure client IP details manually.

DNS

DNS stands for Domain Name System. DNS is the protocol used to convert host names (computer locations such as URL's (www.wingate.com), Domains (qbik.com) into IP addresses to make locating and accessing sites easier in TCP/IP communications.

Example:

When you type an address such as www.somewhere.com into your browser, DNS is used to locate and define the IP address of the location (www.wingate.com) so that the page can be requested from the Web server at that site.

The reason DNS is important is because its much easier for people to remember to type URL such as www.wingate.com into their browser, then it is an IP address such as 210.55.214.36.

Domain

A domain is a grouping of computers or networks under one location. With private networks this is usually an NT Domain or Active Directory type scenario.

On the Internet, a domain (or Domain Name) refers to the place on the Internet where a web site or network is located. Examples of domains on the Internet are qbik.com, wingate.com. A domain name is most commonly used on the Internet so users can access a domain or a web site hosted by that domain by simply entering the Domain name into their web browser.

Domains on the Internet are configured into various levels to make locating them easier. The top level of the domain structure is usually the location after the last dot in a Web address. (E.g. all addresses ending in .com reside in the Com level of the Domain Name structure) Country codes such as .nz, .aq, .bb are commonly used to distinguish sites will be located in a particular country.

Driver

Each piece of hardware has a set of instructions written by the manufacturer to make it work well with the Operating System on the computer where it is located.

Each network interface has a driver that helps the network card communicate and work effectively with the Operating System. When WinGate is installed it installs its own driver to provide a range of extended networking services.

Firewall

A firewall is like a defense shield that protects a machine with a network interface that is connected to the Internet. Simply, it helps to stop unwanted intruders and hackers that wish to gain access to the machine or in turn the private network behind the machine. It also can be used to implement traffic security between two network subnets.

In most common scenarios Firewalls work by blocking all incoming application port requests from remote computers to the machine where the firewall is installed. Intruders with port scanner programs will probe the firewall to see which application ports are open or accepting connections and so vulnerable to attack.

Without a firewall installed, open application ports on the machine with the Internet connection are extremely vulnerable to manipulation by remote connections, which is why it is important to have a decent firewall when your computer is connected to the Internet.

Most firewalls will open appropriate application ports automatically as required when clients make Internet requests on the network behind the firewall, so they can access the Internet. The firewall keeps track of this connection so it can allow the reply data from the remote Web server etc, to come back in through the firewall for the client.

Gateway

In a TCP/IP network, the Gateway (also called Default Gateway) is the IP address of the machine that allows data to leave the network for a remote location (or a network that uses a different IP address range). Generally the Gateway will have two different network interfaces to each of the different networks it is connected to.

HTTP

HTTP stands for Hyper Text Transfer Protocol. This is the protocol used to serve and deliver web page requests to clients on the World Wide Web (HTTP is often referred to as WWW for this reason). This is why when you request a web page in your browser it will often follow this format: (example) HTTP://www.wingate.com .

IP Address

On a TCP/IP network each machine has a unique address to identify its location and the network itself. This is called an IP address. This is the same for all computers that are connected to the Internet (which in simple terms just a large network).

IP addresses are made up of 4 sections of numbers, each section ranging from 1 to 255 (each section is referred to as an octet). e.g. 192.168.6.5

Without entering too much into the complexities of IP addressing, this huge range of addresses are further defined into 5 distinct categories for various purposes.

Class | Range | Purpose
A | 0.0.0.0 to 127.255.255.255 | Commonly used by large networks
B | 128.0.0.0 to 191.255.255.255 | Used by medium size networks such as Universities
C | 192.0.0.0 to 223.255.255.255 | Used by small networks, commonly used by ISPs for giving users an IP address whenever they connect to the Internet.
D | 224.0.0.0 to 239.255.255.255 | Unavailable for public use, used for research
E | 240.0.0.0 to 255.255.255.255 | Unavailable for public use, used for research

  • Private IP Addresses

    The organisation responsible for managing IP addresses, the IANA (Internet Assigned Numbers Authority) was concerned that the Internet might run out of IP addresses they could use (as there is only a limited number (4 billion) based on the current address scheme).

    To solve this problem they designated a range of IP addresses from this large pool, that can only be used for TCP/IP communication in private networks that are not connected directly to the Internet. These are called private IP addresses and are not able to be used on the Internet.

    The ranges of IP addresses designated as private are:

    10.0.0.0 - 10.255.255.255

    172.16.0.0- 172.31.255.255

    192.168.0.0 - 192.168.255.255

  • Public IP Addresses

    When a computer has an interface connected to the Internet (Modem,cable etc), this interface needs to use a public IP address to communicate across the Internet. Public IP addresses are considered to be all of the remaining IP addresses that are not part of the designated private IP range mentioned above.

ipconfig

A small utility installed with all versions of Windows operating system to help identify what IP address details are currently being used by each network interface. It is usually run from a command prompt (refer to the Windows help file for specific usage).

ISP

Internet Service Provider. This is the organisation or company that provides the connectivity to the Internet through your Internet connection. ISP's will allocate your Internet connection an IP address so that it becomes a location on the Internet when you computer connects.

Internet

The Internet is a collection of networks that are connected together worldwide using the TCP/IP protocol. The Internet provides the connectivity and structure for the World Wide Web which is the most common use for the Internet.

Localhost

This is a special IP address reserved in TCP/IP which is what a Operating System will internally use to refer to itself. All machines that have TCP/IP installed will use the local host address in this way. The localhost address is always 127.0.0.1

This is useful in situations where you need to test that TCP/IP is installed correctly on the machine in question. Since with this address you are able to ping the local host address. A successful reply is a good indication that TCP/IP has been installed correctly.

MAC address

When a network card is manufactured it is given a hard wired unique 12 digit hexadecimal value. The first half of this value is used to identify the manufacturer of the card and the second half is like a serial number unique to the card itself so that the interface can be identified on the network on which it resides. This MAC address helps in TCP/IP communication to identify the actual network adapter where the information was sent or received from. (Since IP addresses can be changed on an adapter easily to obscure real locations)

Network Interface Card (NIC)

Also known as, NIC, network card, network connection, or simply as an interface. This is the card/hardware located in the computer that is used to communicate with other computers. This can include Modems and Internet connections (such as Cable, DSL modems, ISDN etc).

Network interfaces require to have an IP address set in their properties to communicate via TCP/IP. This address can be set manually (called a static IP) or the machine can be configured to receive its IP address from a DHCP server(dynamic).

Ping

A useful utility included with Windows that lets you test TCP/IP connectivity around your network (Please refer to the Windows help file for specific usage). Or you can click here for more information.

Ports

Also known as application ports. Applications will generally either use TCP or UDP protocol for the establishment and management of a connection.

Whenever you use a TCP/IP based application such as a web browser to request a page from a Web server application on a remote machine, the two programs need to be able to communicate with each other. Part of this process involves the applications opening up a port (communication channel) and using this to communicate. This is commonly referred to as an application port.

There is a well defined list of ports that applications will use for communication depending on what type of protocol the applications use to communicate. In the situation of the web browser making a request to a Web server(application) it will use port 80 (the defined port for the HTTP protocol) to communicate with the Web server.

Other well known application ports are FTP (21), SMTP (25), POP3 (110). For a list of the well defined application ports, click here.

Protocol

A protocol is set of specifications and rules which manufacturers of hardware, and developers of software must follow when creating developing new technologies. This is done so that each new technology or product that uses these same protocols should be able to communicate and work well with each other.

In networking there have been many protocols established to standardize the way that computers communicate. Protocols occur in all levels of network communication and quite often the features of one protocol allow functionality and provide a service to other protocols. Common network protocols include TCP,IP,UDP, DHCP, NetBIOS, and DNS.

Click here for a list of common protocols used in TCP/IP communications.

Proxy

Proxy usually means to act on behalf of something else. WinGate is an example of a Proxy server in the fact that it handles Internet requests on behalf of clients.

The benefit of having a WinGate Proxy Server is that all client Internet connections are handled simultaneously at a single place (WinGate server) and through the one Internet connection. So all of the client connections appear to originate from only one public IP Address on the Internet. This makes it more secure for both the clients and their network.

Workgroup

Also known as a peer to peer network, each machine in a workgroup is responsible for its own resources and security. Users are verified against a local user database on the machine they are logging into (as opposed to logging into a user database on a domain controller in a domain scenario).

Router

A router is a piece of hardware or a computer that joins two differently addressed networks. With a network interface addressed to each network, the router will act as a go between the two different networks. Routers are often referred to as a Gateway for this reason.

Often routers will provide an Internet connection to a private network. In this case one interface on the router will have a private IP address (to connect to the private network) and one interface will have a public IP address (to connect to the Internet).

With appropriate software (such as WinGate) a computer can be configured to act as a router between two networks.

Subnet

A subnet is a method of dividing a network into groups of computers who share a similar IP address range.

A subnet mask is used in conjunction with an IP address to distinguish which part of the IP address identifies the subnet (network) that it belongs to and which part of the IP address identifies the actual machine.

Subnet masks can be a very complex topic to understand but put simply each of the 4 sections of a subnet mask relate to the corresponding (section) octet in the IP address.

e.g. 192.168.4.1

e.g. 255.255.255.0

Generally the 255 number in the subnet mask identify the part of the address that network the computer belongs to (which are fixed and don't change), and any other number entry indicates the section (octet) in the IP address that identifies the machine itself, which changes from machine to machine.

TCP/IP

TCP/IP stands for Transmission Control Protocol/Internet Protocol.

TCP/IP commonly refers to a suite of protocols (rules and standards) used for establishing and maintaining communication in modern networks (including all communication on the Internet). TCP/IP is usually installed by default in most machines that run Windows 98 or above.

  • Transmission Control Protocol (TCP)

    This is the most common protocol used for establishing and conducting communication sessions in a TCP/IP based network. When two computers establish a connection using TCP, this protocol helps to ensure the connection is carried out and maintained in an orderly and sequential fashion. Each end sends and receives a sequential arrangement of data, acknowledges that the data has been successfully received by the other end, and when a session is complete, signals to each other that the connection can now be closed.

  • User Datagram Protocol (UDP)

    User Datagram Protocol. This is the other major protocol used for network communications in a TCP/IP based network. Unlike TCP, the UDP protocol is a connectionless orientated protocol which means that there is no requirement for the other end of the connection to respond or help to maintain the connection. With UDP protocol, a computer simply sends data to destination without establishing an orderly sequential connection first, or without worrying whether the data has been received correctly (as is the case with TCP).

  • Internet Protocol (IP)

    This is the protocol is mostly responsible for that transport of TCP and UDP sessions across dissimilar networks. IP can be thought of as the roadmap protocol as it assists in directing TCP and UDP data from one location to another. The TCP and UDP protocols travel over the services provided by the Internet Protocol.

URL

URL stands for Uniform Resource Locator. URLs are a standard format for describing where a resource is located on the Internet. E.g. a Web URL reads as HTTP://www.qbik.com/index.html. This is the address of site you would normally enter into your browser when surfing the Web.

Winsock Applications

Winsock applications are programs written which use Windows Sockets (which is a set of standards that programmers use to write Windows applications that can use TCP/IP). It is very commonly used for network applications that run on Windows operating systems.

WWW

World Wide Web. The WWW is a collection of millions of servers on the Internet that host and serve web pages and other web-based media using the HTTP protocol. When ever a person uses a browser to access and view a web site they will be accessing the World Wide Web using the HTTP protocol.

Packet

When data is sent from on computer to another on a TCP/IP network, it is broken down into small chunks referred to as packets. A packet can be compared to an envelope in the fact that each packet contains a destination address, the actual data being sent and an originating address.

When data is received by the remote computer the packets are reassembled to form the final presentation of data that is seen by the receiving user.


Common protocols and ports

When using TCP/IP networking there are may protocols that have been developed for programs (applications) to communicate with each other. In order to use the protocol the application will open communications by making a request to the application at the other end to the "port" the server will be listening on. (E.g. An email client will send an email to a mail server using SMTP protocol making a request on port 25 )

In order to communicate, these protocols will use the connection/session services of either TCP (Transmission Control Protocol) or UDP (User Datagram Protocol).

While there a many protocols used in TCP/IP communications the list below outlines some of the most common.

Protocol | Port | TCP/UDP | Description
HTTP | 80 | TCP | Hypertext Transfer Protocol. Also known as WWW, this is the protocol used to send and receive Web pages containing images and hypertext markup language. This is the protocol used by almost all browsers to surf the World Wide Web.
FTP | 21 | TCP | File Transfer Protocol. This protocol is commonly when used for uploading or downloading files to/from remote locations on the Internet.
SMTP | 25 | TCP | Simple Mail Transfer Protocol. This protocol is used to send mail across the Internet. Most mail servers use SMTP to send mail on behalf of clients
POP3 | 110 | TCP | Post Office Protocol. This protocol is in its 3rd version, and is used by mail programs and servers to receive mail from remote locations from across the Internet.
Telnet | 23 | TCP | The Telnet protocol commonly used for establishing remote administration connections with other Telnet servers on the Internet.
DNS | 53 | UDP | Domain Name Service. This is the protocol used to lookup the IP address of a remote location when you enter a domain name or URL into your web browser.
DHCP | 67 | UDP | Dynamic Host Control Protocol. This is the protocol used by network clients to request and receive their IP address details from a DHCP server on the network.
SSL | 443 | TCP | Secure Sockets Layer. This is a protocol most commonly used to provide HTTP protocol based traffic, a secure connection from end to end. Most common examples are when a web site requires a login such as Internet banking, online credit card transactions etc the pages requested are encrypted by the SSL protocol to prevent unwanted intruders eavesdropping on the connection.
SOCKS | 1080 | TCP | SOCKet Secure. A very common protocol used by lots of TCP/IP applications (programs) for communicating through Proxy Server firewall solutions.
RDP | 3389 | TCP | Remote Desktop Protocol. A very commonly used protocol used to remotely control and administer computers.


WinGate installation : Activate WinGate

WinGate installation : Activation Required

From WinGate version 6.0 onwards you will need to activate the WinGate license with the WinGate activation server on the Internet (Activation.qbik.com) before you can begin to use WinGate.

For users upgrading from a previously non activated license (Full license versions prior to WinGate 6.0) will need to run the the License Manager to activate your license.

All license activation (including Version 6.0 Trial licenses) can be activated after the WinGate installation via the License Manager in GateKeeper.

Activation is not required during the install but as mentioned previously will be required to provide WinGate functionality prior to using WinGate for the first time. With WinGate 6.0 and above you will receive a warning when first logging into GateKeeper that you must activate a license to enable functionality (Trial or Full).

Note:

An activated license can only be used by one installation of WinGate. If WinGate needs to be relocated to another machine then you will be prompted to deactivate your license during the uninstall and reactivate it during the subsequent reinstall on the new machine.

The Activation process

Note:

This is a brief overview of the WinGate activation process for the purpose of explaining this stage during the installation process. For more detailed help on the activation process of all Qbik products please refer to the Qbik License Activation helpfile. (Available with the Qbik License viewer)

Clicking the Activate button on this screen will open the License Viewer.

Previous (non activated) full license

  1. In the License Viewer, highlight the license WinGate has discovered (Old Full License).
  2. The Activate button will become highlighted, click this to activate the license with the Activation server.
  3. After activation is complete you will be asked to stop and restart the WinGate engine for the license to take effect.

Requesting a new trial license

  1. On the License Viewer click the Add New button.

  2. In the license type window select the "Request trial for any product..." radio button.

  3. From the drop down menu select WinGate.
  4. Click the next button to activate the trial license with the Activation server.
  5. After activation is complete you will be asked to stop and restart the WinGate engine for the license to take effect.


WinGate installation : Auto Update

This screen is enabled by default, and allows you to select whether or not you wish to turn on the auto update feature for WinGate.

If the auto update feature is enabled, WinGate will periodically check for updated versions from the WinGate site. This feature can be turned on/off or configured in GateKeeper at any time after the installation.


WinGate installation : Begin installation

This step begins the installation procedure.

It will copy the appropriate files onto your computer and make some adjustments to the various system settings (e.g. Windows registry).

If you have chosen to install the WinGate server, then the WinGate Engine service will start once the install is complete.


WinGate installation : Installation completed

This screen provides confirmation on the completion of the WinGate installation and information about the plug-ins available for WinGate.

The following plug-ins are currently available for WinGate:

  • PureSight

    WinGate's content filter, gives the administrator a configurable amount of control over the access rights of clients in regards to gambling and sex web sites.

  • Kaspersky AntiVirus for WinGate

    WinGate's powerful data-scanning and protection program, giving added security to your network.

When you click the Finish button, you be prompted with a dialog asking you to reboot the machine. This must be done to complete the installation and before WinGate can be run for the first time.


WinGate installation : Selecting installation directory

This directory is where the WinGate executables and resource files will be installed. This should be a local drive on the Wingate server.

The default directory is C:\Program Files\Wingate

You can install WinGate to another directory location if required. The installer will inform you of the amount of free space on your hard disk.


WinGate installation : ENS (Extended Networking Services)

WinGate installation : ENS (Extended Network Services) Installation

The WinGate ENS provides amongst other things NAT (Network Address Translation) and Firewall services.

We recommend that you choose to install it. NAT enables you to share an Internet connection amongst networked computers running virtually any application on any platform (including Windows, MacOS, Unix and Linux).

It also requires NO configuration if WinGate DHCP is used.

Protect server on bootup prior to WinGate service starting

Here you can also select WinGate to protect your Internet Connection on startup, providing an extra layer of security for your WinGate server.


WinGate installation : Email

This screen allows you to decide whether or not to use the WinGate mail server. (Ticked by default)

  • Check the Use WinGate mail server box to use the WinGate email server.
  • Not checking the Use WinGate mail server box ( in which case the WinGate mail server will not be configured and the SMTP and POP3 Servers will not be started after the install)

Note:

If your license type permits it you can utilize the WinGate Mail Server at any stage once WinGate is installed.


WinGate installation : Important - new plugins required

This screen provides a caution to explain that from version 6.1 WinGate has changed the way that WinGate plugins now work.

As a result, PureSight for WinGate 2.0 and Kaspersky AntiVirus for WinGate 2.0 will only with WinGate 6.1 or above.

If you have earlier versions of these WinGate plugins, then they must be upgraded to version 2.0 to function correctly with WinGate 6.1 and above.


WinGate installation : NT Users and Authentication

This screen is presented to users installing WinGate server to an NT- based operating system. (Windows NT, 2000, XP Pro, .NET Server)

If you select to Use the Operating System (Windows) user database during the install then WinGate will create users and groups so that it is synchronised with the local NT/2000/XP user database.

This feature makes it easier to control and manage Internet users by building on the existing user and group policies configured for NT.

By basing your WinGate user and group database you benefit from:

  • Having a single place to manage users and groups from.
  • Strong NT-based authentication of users (WinGate will use NT user names and passwords to verify the identity of users on the LAN).

Note:

This screen, and the Use the Operating System (Windows) user database option will not be available to WinGate server installations on Win98, WinME, or Windows XP Home.


WinGate Installation : Type of Installation

WinGate Installation : Welcome to WinGate - Install Type

The first option screen of the install is where the WinGate installer can be used to install either the WinGate server or WinGate Internet Client on a computer.

When you run the installer it will first attempt to detect any active WinGate servers on the network. If any WinGate servers (the WinGate Engine on these servers must be running) are detected, the installer will then automatically select to install the WinGate Internet Client.

You can select either of these options depending on which type of installation you require. Remember that the WinGate server is only required to be installed on one machine on the LAN it is sharing the Internet connection with.

If you choose to install WinGate server you will receive a confirmation screen before proceeding.


Scenario 2 : Step 3

Step 2 : Configure the Internet router interface

The next step is to configure the network interface on the WinGate server that will connect it to the Internet router.

Internet router basics

Although they don't have physical network cards, Internet connection routers such as DSL/Broadband routers usually will have two network interfaces (each with its own IP address) so they can offer Internet connectivity using Network Address Translation (NAT).

  1. LAN interface

    This is software network interface inside the router that will have a static private IP address. This LAN interface is used to communicate to machines that are plugged into the router. If the router has a DHCP service, then it will usually offer addresses from the same range to machines that plug into the router. (As shown in Example 1)

  2. Internet interface

    The other interface connects the router to the Internet. This interface is given a public IP address that it will receive from the ISP providing the Internet service. (As shown in Example 1) Usually this Internet interface will be protected by a firewall.

    Example 1.

Since WinGate will be the only machine connected to the Internet router it will be the only machine that will be communicating with the Internet routers LAN interface.

Most Internet routers come with a DHCP service that is designed to assign to computers that are connected to it, a private IP address in the same range that is used by its LAN interface.

The WinGate server will be the only machine to receive network details from the routers DHCP service, as it should be the only machine plugged into the Router.

These details will be assigned to the network interface on the WinGate server that connects the WinGate machine to the Internet router.

Configuring the network interface to receive DHCP address from the Internet router:

  1. Open the network connection properties on the WinGate server by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface which connects to the Internet router.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Obtain IP address automatically. This will allow the Internet router to assign this interface with an IP address and the correct Gateway and DNS details so that it can use the Internet router to reach the Internet.
  6. No other configuration is required for this network interface.
  7. Click OK through the open properties screens to save the changes.

Note:

If you don't wish to use DHCP from the Internet router then you can configure the IP address details manually

To configure the IP address details manually:

  1. Open the network connection properties by accessing the Windows control panel and selecting the Network and Dial up connections icon.
  2. Double click on the Local Area Connection icon that is the network interface connected to the Internet router.
  3. This will bring up the Local Connection Status dialog, click on the Properties button.

  4. In the Local Connection's Properties window select Internet (TCP/IP) and click the Properties button.

    Note:

    (You can confirm that this is the correct interface to configure as the actual physical name of the adapter is listed at the top of the Local Connection Properties window. )

  5. On the TCP/IP properties window select Use following IP address and enter in an IP address that is in the same range used by the Internet router.
  6. Fill in the appropriate Subnet mask. This will be the same as is used by the Internet router's LAN IP address.
  7. Select the Default Gateway and enter the LAN IP address of the Internet router.
  8. Select the Preferred DNS server option and enter the LAN IP address of the Internet router.
  9. No other configuration is required for this network interface.
  10. Click OK through the open properties screens to save the changes.

Once this network interface has been configured correctly you should make sure that you can access the Internet from the WinGate server through the Internet router before installing WinGate.

Important Note:

After the WinGate installation, it is necessary for you to specify in the Network Connection configuration in WinGate, that this network interface will be marked as External. (Please refer to the configuring network connections in the Post installation section for details of this)

This is all the steps required before installing WinGate server into this type of scenario. The next step is the installation of the WinGate software itself.

Click here for Step 3, the WinGate installation process